#!/bin/sh

makeRPM() {
	if [ ! -r "pikview-$ver.tar.gz" ]; then
		echo "Can't find ../pikview-$ver.tar.gz"
		exit 1
	fi
	root=$PWD/rpmroot

	echo "%_topdir $root" > ~/.rpmmacros
	echo "%_tmppath /tmp" >> ~/.rpmmacros
	
	rm -rf $root
	mkdir -p $root/BUILD $root/RPMS $root/RPMS/i386 $root/SOURCES $root/SPECS
	mkdir -p $root/SRPMS
	cp pikview-$ver.tar.gz $root/SOURCES
	rpm -ba --target=i386 pikview/pikview.spec
	if [ $? -eq 0 ]; then
  	  cp $root/SRPMS/pikview-$ver-*.src.rpm .
  	  cp $root/RPMS/i386/pikview-$ver-*.i386.rpm .
	fi
	rm -rf $root

	rm ~/.rpmmacros
}


ver=`cat version-no`

cd ..
if [ ! -d pikview ]; then
  echo $0 must be run from the pikview directory
  exit 1;
fi

case "$1" in

package)
	rm -rf pikview-$ver
	cp -a pikview pikview-$ver
	cd pikview-$ver
	make -f Makefile.cvs dist
	./configure
	cp pikview.spec.tmpl ../pikview
	make distclean
	cd ..

	rm -rf `find pikview-$ver -type d -name CVS`
	find pikview-$ver -name '*~' | perl -nle unlink

	tar zcvf pikview-$ver.tar.gz pikview-$ver

	rm -rf pikview-$ver
	;;

rhrpm)
	cd pikview
	./makeSpec /usr rh
	cd ..
	makeRPM
	;;

# doesnt work at the moment because caldera doesn't use RPM-3.0
cldrpm)
	cd pikview
	./makeSpec /opt/kde cld
	cd ..
	makeRPM
	;;

mdkrpm)
	cd pikview
	./makeSpec /usr mdk
	cd ..
	makeRPM
	;;
esac
