//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//

#ifndef _ASYNCLOADER_H_
#define _ASYNCLOADER_H_

#include <pthread.h>
#include <qstring.h>

#define IMAGEPATHLEN 256

class QImage;

class asyncLoader
{
public:
	asyncLoader();
	~asyncLoader();

	void go();
	void lock();
	void unlock();
	void loadImage(const char *path);
	bool loading();
	void getLoadedImage(QImage **anImage);
	void signalFinish();
	void waitForLoad();

private:
	// condition variable and associated mutex and predicate
	pthread_cond_t goCond;
	pthread_mutex_t goCondMutex;
	bool loadNow;

	// lockMutex protects the following data
	pthread_mutex_t lockMutex;
	char imagePath[IMAGEPATHLEN];
	QImage *img;
	bool timeToDie, loadingInProgress;
	int diag;
};

void*  callAsyncLoaderGo(void *arg);
QImage *imageLoad(QString file);



#endif

