//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//


#ifndef IMAGECACHE_H
#define IMAGECACHE_H

#include <qlist.h>
#include <qsize.h>
#include <qpixmap.h>


class selectorItem;

class imageCacheItem {
public:
	imageCacheItem(selectorItem* itm, QPixmap pix, int priority);
	~imageCacheItem();
	
	void describe();
	
	QPixmap image;
	uchar   *ximg;
	selectorItem* item;
	int pri;
	int cost;
	QSize size;
};


class imageCache {
public:
	imageCache();
	
	imageCacheItem *find(selectorItem* item, int newPri, bool internal=false);
	bool insert(selectorItem* item, QPixmap pix, int priority);
	bool removeItem(selectorItem *item);
	int  totalCost(){ int x=totalCostNum; return(x);}
	int  maxCost()  { int x=maxCostNum;   return(x);}
	int  freeSpace(int pri=-1);
	void setPixmap(QPixmap pix, selectorItem *itm);
	void convertImageToPixmapData(imageCacheItem *item);
	void setMaxCost(int cost);
	void describe();
	void clear();
	void flattenPriorities(int newPri);

private:
	bool makeSpace(int maxPri=1);

	QList<imageCacheItem> cache;
	int totalCostNum, maxCostNum;
	enum dispVisual { unknown, rgb565, rgb888x } visual;
};

#endif
