//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//


#ifndef KGDBM_H
#define KGDBM_H

#include <gdbm.h>

#include <qglobal.h>
#include <qstring.h>

class kgdbm
{
 public:
	kgdbm(QString file, bool writeAccess=false, int mode=0644);
	~kgdbm();
	
	int  storeData(QString key, void *data, int len, bool replace=true);
	bool fetchData(QString key, datum *dataD);
	int fetchRec(QString key, void **data);

	int store(QString key, INT32 value, bool replace=true);
	int store(QString key, QString value, bool replace=true);
	int fetchInt32(QString key);
	QString fetchString(QString key);
	int deleteItem(QString key);
	int hasKey(QString key);
	bool readOnly();

	void pack();
	void sync();

	bool found() { return(lastFound); };
	bool isValid() { return(validDataBase); };

	QString firstKey();
	QString nextKey();

 private:
	GDBM_FILE dbfFile;
	bool validDataBase;
	bool lastFound, dbReadOnly;
	datum currentKey;
};

#endif
