//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//

#ifndef __aktion_part_h__
#define __aktion_part_h__

#include <kparts/browserextension.h>
#include <klibloader.h>
#include <qpixmap.h>

class KInstance;
class PikViewBrowserExtension;
class QLabel;
class viewer;

class PikViewFactory : public KLibFactory
{
	Q_OBJECT
public:
	PikViewFactory();
	virtual ~PikViewFactory();
	
	virtual QObject* create(QObject* parent = 0, const char* name = 0,
													const char* classname = "QObject",
													const QStringList &args = QStringList());

	static KInstance *instance();

private:
	static KInstance *s_instance;
};

class PikViewPart: public KParts::ReadOnlyPart
{
	Q_OBJECT
public:
	PikViewPart(QWidget *parent, const char *name);
	virtual ~PikViewPart();

protected:
	virtual bool openFile();

private:
	viewer *widget;
	PikViewBrowserExtension *m_extension;
	QPixmap pix;
};

class PikViewBrowserExtension : public KParts::BrowserExtension
{
	Q_OBJECT
	friend class PikViewPart;
public:
	PikViewBrowserExtension(PikViewPart *parent);
	virtual ~PikViewBrowserExtension();
};

#endif
