//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//


#include <qprintdialog.h>
#include <qprinter.h>
#include <qpixmap.h>
#include <qdialog.h>
#include <qrect.h>
#include <qpushbutton.h>
#include <qstring.h>

#include "numSlider.h"


class printImageDialog : public QDialog
{
	Q_OBJECT;

 public:
	printImageDialog(QPixmap pixmap, QString name, QPrinter *p);	


 protected:
	virtual void paintEvent(QPaintEvent *e);

 private slots:
	void newScale(double sc);
	void printImage();
	void cancel();
	void back();

 private:
	void paintImage(QPainter *p);
	QRect pageDimensions();

	QPrinter  *prn;
	QPixmap   pix;
	QRect     pageSize;
	QString   imageName;
	numSlider *slScale;

	float scale, pageScale;
};
