//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//

#include <qlistview.h>
#include <qwidget.h>
#include <qpoint.h>

class QMouseEvent;
class QDropEvent;

class QListViewDrag : public QListView
{
		Q_OBJECT;

 public:
	QListViewDrag(QWidget *parent=0, const char *name=0);

 signals:
	void dropped(QDropEvent *);

 protected:
	virtual void contentsMouseMoveEvent(QMouseEvent *e);
	virtual void contentsMousePressEvent(QMouseEvent *e);
	virtual void contentsMouseReleaseEvent(QMouseEvent *e);
	virtual void dragEnterEvent(QDragEnterEvent *e);
	virtual void dropEvent(QDropEvent *e);

 private:
	bool startDrag, blockDrops;
	QPoint startDragPos;
};
