//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//

#include <qobject.h>
#include <kurl.h>
#include <kio/jobclasses.h>

class QProgressDialog;

class SyncCopyJob : public QObject {
	Q_OBJECT;

 public:
	SyncCopyJob(const KURL::List& src, const KURL& dest, KIO::CopyJob::CopyMode mode, QWidget *parent);
	~SyncCopyJob();

	void exec();

	private slots:
	void jobResult(KIO::Job *j);
	void processedFilesSlot(KIO::Job *j, unsigned long files);

 private:
	QProgressDialog *progress;
	KIO::Job *job;
	bool finished;
	int fileCount, totalFileCount;
};
