//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//


#include <qobject.h>

class kgdbm;
class thumbManager;

extern thumbManager *thumbMgr;


class thumbManager : public QObject
{
	Q_OBJECT;
	
public:
	thumbManager();
	~thumbManager();

	QImage  getThumbNail(QString dir, QString file);
	void    setUseDatabase(bool useDb);
	QString findThumbNailFile(QString startDir, QString &newDatabaseDirBase);
	int     thumbSizeX()  { return dbfThumbSizeX; };
	int     thumbSizeY()  { return dbfThumbSizeY; };
	void    closeDB();
	void    packDatabase(QString database);
	void    rebuildDatabase(QString database);
	int     buildThumbNails(QString dirBase);

signals:
  void    newThumbSize(int x, int y);
	
private:
	QImage  makeThumbNail(QString dir, QString file);
	bool    openThumbDatabase(QString file, QString baseDir);


	QString databaseFile, databaseBaseDir, databaseCurrDir, tmpFileName;
	bool    useDatabase, requireDBWrite, dbReadOnly;
	kgdbm   *db;
	int     dbfThumbSizeX, dbfThumbSizeY;
};
